function presenta(eta)
%PRESENTA Subroutine to present.
%	presenta(th)

%	L. Ljung 10-2-90
%	Copyright (c) 1986-95 by the MathWorks, Inc.
%	$Revision: 1.3 $  $Date: 1995/05/10 21:36:59 $

[nr,nc]=size(eta);
T=eta(1,2);
time=eta(2,2:6);
cmd=eta(2,7);
s=1:8;text(1,s)='ARX     ';text(2,s)='ARX2TH  '; text(3,s)='PEM     ';
text(4,s)='IV4     ';text(5,s)='FIXPAR  '; text(6,s)='UNFIXPAR';
text(7,s)='THINIT  ';text(8,s)='IVX     '; text(9,s)='MKETAARX';
%if any(eta(2,7)==[22 25 26 27]),cmd=cmd+10;end
disp(['This ARX-model was created by the command ',text(cmd-30,:),' on ',...
int2str(eta(2,3)),'/',int2str(eta(2,4)),' ',int2str(eta(2,2)*100),' at ',...
int2str(eta(2,5)),':',int2str(eta(2,6))])
disp(['Loss fcn: ' num2str(eta(1,1)) '   The FPE criterion: ' num2str(eta(2,1)) ' Sampling interval ' num2str(eta(1,2))])
disp(['The arx model parameters with their standard deviations given as imaginary parts are'])
[A,B,dA,dB]=th2arx(eta);
i=sqrt(-1);
A=A+i*dA
B=B+i*dB
disp('The covariance matrix of the innovations is')
[p,P,lam]=th2par(eta);
lam

